package de.dass_it.vanhelsing.gui.items;
public class FDClientItem extends ItemType implements UserObjectItem{
	/**
	 * @uml.property  name="name"
	 */
	private String name;
	/**
	 * @uml.property  name="workingdirectory"
	 */
	private String workingdirectory;
	/**
	 * @uml.property  name="piddirectory"
	 */
	private String piddirectory;
	/**
	 * @uml.property  name="heartbeatinterval"
	 */
	private String heartbeatinterval;
	/**
	 * @uml.property  name="maximumconcurrentjobs"
	 */
	private String maximumconcurrentjobs;
	/**
	 * @uml.property  name="fdaddresses"
	 */
	private String fdaddresses;
	/**
	 * @uml.property  name="fdport"
	 */
	private String fdport;
	/**
	 * @uml.property  name="fdaddress"
	 */
	private String fdaddress;
	/**
	 * @uml.property  name="fdsourceaddress"
	 */
	private String fdsourceaddress;
	/**
	 * @uml.property  name="sdconnecttimeout"
	 */
	private String sdconnecttimeout;
	/**
	 * @uml.property  name="maximumnetworkbuffersize"
	 */
	private String maximumnetworkbuffersize;
	//private String heartbeatInterval; Parameter in Dokumentation doppelt vorhanden
	/**
	 * @uml.property  name="pkiencryption"
	 */
	private String pkiencryption;
	/**
	 * @uml.property  name="pkisignatures"
	 */
	private String pkisignatures;
	/**
	 * @uml.property  name="pkikeypair"
	 */
	private String pkikeypair;
	/**
	 * @uml.property  name="pkimasterkey"
	 */
	private String pkimasterkey;
	
	public FDClientItem(){}
	public FDClientItem(String name, String workingDirectory, String pidDirectory){
		setName(name);
		setWorkingdirectory(workingdirectory);
		setPiddirectory(piddirectory);
	}
	/**
	 * @return
	 * @uml.property  name="name"
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name
	 * @uml.property  name="name"
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * @return
	 * @uml.property  name="workingdirectory"
	 */
	public String getWorkingdirectory() {
		return workingdirectory;
	}
	/**
	 * @param workingdirectory
	 * @uml.property  name="workingdirectory"
	 */
	public void setWorkingdirectory(String workingdirectory) {
		this.workingdirectory = workingdirectory;
	}
	/**
	 * @return
	 * @uml.property  name="piddirectory"
	 */
	public String getPiddirectory() {
		return piddirectory;
	}
	/**
	 * @param piddirectory
	 * @uml.property  name="piddirectory"
	 */
	public void setPiddirectory(String piddirectory) {
		this.piddirectory = piddirectory;
	}
	/**
	 * @return
	 * @uml.property  name="heartbeatinterval"
	 */
	public String getHeartbeatinterval() {
		return heartbeatinterval;
	}
	/**
	 * @param heartbeatinterval
	 * @uml.property  name="heartbeatinterval"
	 */
	public void setHeartbeatinterval(String heartbeatinterval) {
		this.heartbeatinterval = heartbeatinterval;
	}
	/**
	 * @return
	 * @uml.property  name="maximumconcurrentjobs"
	 */
	public String getMaximumconcurrentjobs() {
		return maximumconcurrentjobs;
	}
	/**
	 * @param maximumconcurrentjobs
	 * @uml.property  name="maximumconcurrentjobs"
	 */
	public void setMaximumconcurrentjobs(String maximumconcurrentjobs) {
		this.maximumconcurrentjobs = maximumconcurrentjobs;
	}
	/**
	 * @return
	 * @uml.property  name="fdaddresses"
	 */
	public String getFdaddresses() {
		return fdaddresses;
	}
	/**
	 * @param fdaddresses
	 * @uml.property  name="fdaddresses"
	 */
	public void setFdaddresses(String fdaddresses) {
		this.fdaddresses = fdaddresses;
	}
	/**
	 * @return
	 * @uml.property  name="fdport"
	 */
	public String getFdport() {
		return fdport;
	}
	/**
	 * @param fdport
	 * @uml.property  name="fdport"
	 */
	public void setFdport(String fdport) {
		this.fdport = fdport;
	}
	/**
	 * @return
	 * @uml.property  name="fdaddress"
	 */
	public String getFdaddress() {
		return fdaddress;
	}
	/**
	 * @param fdaddress
	 * @uml.property  name="fdaddress"
	 */
	public void setFdaddress(String fdaddress) {
		this.fdaddress = fdaddress;
	}
	/**
	 * @return
	 * @uml.property  name="fdsourceaddress"
	 */
	public String getFdsourceaddress() {
		return fdsourceaddress;
	}
	/**
	 * @param fdsourceaddress
	 * @uml.property  name="fdsourceaddress"
	 */
	public void setFdsourceaddress(String fdsourceaddress) {
		this.fdsourceaddress = fdsourceaddress;
	}
	/**
	 * @return
	 * @uml.property  name="sdconnecttimeout"
	 */
	public String getSdconnecttimeout() {
		return sdconnecttimeout;
	}
	/**
	 * @param sdconnecttimeout
	 * @uml.property  name="sdconnecttimeout"
	 */
	public void setSdconnecttimeout(String sdconnecttimeout) {
		this.sdconnecttimeout = sdconnecttimeout;
	}
	/**
	 * @return
	 * @uml.property  name="maximumnetworkbuffersize"
	 */
	public String getMaximumnetworkbuffersize() {
		return maximumnetworkbuffersize;
	}
	/**
	 * @param maximumnetworkbuffersize
	 * @uml.property  name="maximumnetworkbuffersize"
	 */
	public void setMaximumnetworkbuffersize(String maximumnetworkbuffersize) {
		this.maximumnetworkbuffersize = maximumnetworkbuffersize;
	}
	/**
	 * @return
	 * @uml.property  name="pkiencryption"
	 */
	public String getPkiencryption() {
		return pkiencryption;
	}
	/**
	 * @param pkiencryption
	 * @uml.property  name="pkiencryption"
	 */
	public void setPkiencryption(String pkiencryption) {
		this.pkiencryption = pkiencryption;
	}
	/**
	 * @return
	 * @uml.property  name="pkisignatures"
	 */
	public String getPkisignatures() {
		return pkisignatures;
	}
	/**
	 * @param pkisignatures
	 * @uml.property  name="pkisignatures"
	 */
	public void setPkisignatures(String pkisignatures) {
		this.pkisignatures = pkisignatures;
	}
	/**
	 * @return
	 * @uml.property  name="pkikeypair"
	 */
	public String getPkikeypair() {
		return pkikeypair;
	}
	/**
	 * @param pkikeypair
	 * @uml.property  name="pkikeypair"
	 */
	public void setPkikeypair(String pkikeypair) {
		this.pkikeypair = pkikeypair;
	}
	/**
	 * @return
	 * @uml.property  name="pkimasterkey"
	 */
	public String getPkimasterkey() {
		return pkimasterkey;
	}
	/**
	 * @param pkimasterkey
	 * @uml.property  name="pkimasterkey"
	 */
	public void setPkimasterkey(String pkimasterkey) {
		this.pkimasterkey = pkimasterkey;
	}

}
